/* --------------------------------------------------------------------------
   WPPHP

   AUTHORS:
   Lukasz Karwacki <lukasm@wp-sa.pl>
   Wojciech Meller <wmeler@wp-sa.pl>

   -------------------------------------------------------------------------- */

#include "../jabberd/jabberd.h"
#include "jabber-php.h"

#define MOD_VERSION "WP PHP by LK&WM"

#define MAX_JABBER_PACKET_LEN 8000

#define PHP_MESSAGE_PACKET  1
#define PHP_PRESENCE_PACKET 2
#define PHP_IQ_PACKET       3
#define PHP_S10N_PACKET     4
#define PHP_XDB_PACKET      5
#define PHP_LOG_PACKET      6

typedef struct wpphp_struct
{
    instance i;
    xdbcache xc;
    volatile int shutdown;
    volatile int threads;

    xmlnode config;
    volatile int check_time;
    volatile int check_changed;     
    HASHTABLE php_scripts;
    char *script;
    char *check_script;
} *wpphp, _wpphp;

result wpphp_receive(instance i, dpacket d, void *arg);
void   wpphp_shutdown(void *);
result wpphp_check(void *);

void wp_php_parser(void **parser,const char *str,int length);
void wp_php_parser_flush(void **parser);
